
### Intro

Varlet is a Material design mobile component library developed based on `Vue3`, developed and maintained by partners in the community.

### Features

- 🚀 &nbsp; Provide 50 high quality general purpose components
- 🚀 &nbsp; Components are very lightweight
- 💪 &nbsp; Developed by Chinese, complete Chinese and English documentation and logistics support
- 🛠️ &nbsp; Support on-demand introduction
- 🛠️ &nbsp; Support theme customization
- 🌍 &nbsp; Support internationalization
- 💡 &nbsp; Support WebStorm, VS Code component syntax highlighting
- 💪 &nbsp; Support the SSR
- 💡 &nbsp; Support the Typescript
- 💪 &nbsp; Make sure more than 90 percent unit test coverage, providing stability assurance
- 🛠️ &nbsp; Support dark mode

### PR & Issue
If you have any problems during use, you can [issue](https://github.com/varletjs/varlet/issues) them to us on [github](https://github.com/varletjs/varlet),
we will deal with it as soon as possible. You can also give us [PR](https://github.com/varletjs/varlet/pulls).

### Open source licenses
Component library based on `MIT` licenses.

### Material Design Introduction
Material Design, Is a new design language from Google that aims to provide a more consistent and broader 
"look and feel" for phones, tablets, desktops and "other platforms".

### Why Material
In the early mobile devices, large color blocks and strong contrast colors had high requirements for display devices, 
while non-linear animation and water ripples had certain requirements for GPU.
As a result, Material style does not have a good experience in the mobile browser environment, and more flat and simple style is chosen to be put into the product.
But as modern devices and new JS frameworks become more efficient at runtime processing, 
browsers have more free time, and the ability to process animations, and Material Design will bring a better experience to applications.

### Special thanks

Special thanks to `Yu Tiezhu-eddieyc@163.com` for the visual support of our component library documentation site, 
so as to help us continue to evolve.